<template>
  <a-row
    type="flex"
    :gutter="16"
  >
    <a-col
      :md="6"
      :sm="24"
    >
      <precision-parameters-category-left @clickTreeNode="getSelectNode" />
    </a-col>
    <a-col
      :md="24-6"
      :sm="24"
    >
      <precision-parameters-right :recordSelect="currentNodeSelect" />
    </a-col>
  </a-row>
</template>

<script>
import PrecisionParametersCategoryLeft from './modules/precisionParameter/PrecisionParametersCategoryLeft'
import PrecisionParametersRight from './modules/precisionParameter/PrecisionParametersRight'
export default {
  name: 'PrecisionParametersList',
  components: {
    PrecisionParametersCategoryLeft,
    PrecisionParametersRight,
  },
  data() {
    return {
      description: '精度参数',
      currentNodeSelect: '',
    }
  },
  methods: {
    getSelectNode(val) {
      this.currentNodeSelect = val;
    },
  }
}
</script>

<style scoped>
@import '~@assets/less/common.less';
</style>